AddExtrudedSolidAlongPath Example |
Using Programming Languages other than VBA
Sub Example_AddExtrudedSolidAlongPath() ' This example extrudes a solid from a region ' along a path defined by a spline. ' The region is created from an arc and a line. Dim curves(0 To 1) As AcadEntity ' Define the arc Dim centerPoint(0 To 2) As Double Dim radius As Double Dim startAngle As Double Dim endAngle As Double centerPoint(0) = 5#: centerPoint(1) = 3#: centerPoint(2) = 0# radius = 2# startAngle = 0 endAngle = 3.141592 Set curves(0) = ThisDrawing.ModelSpace.AddArc(centerPoint, radius, startAngle, endAngle) ' Define the line Set curves(1) = ThisDrawing.ModelSpace.AddLine(curves(0).startPoint, curves(0).endPoint) ' Create the region Dim regionObj As Variant regionObj = ThisDrawing.ModelSpace.AddRegion(curves) ' Define the extrusion path (spline object) Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double ' Define the Spline Object startTan(0) = 10: startTan(1) = 10: startTan(2) = 10 endTan(0) = 10: endTan(1) = 10: endTan(2) = 10 fitPoints(0) = 0: fitPoints(1) = 10: fitPoints(2) = 10 fitPoints(0) = 10: fitPoints(1) = 10: fitPoints(2) = 10 fitPoints(0) = 15: fitPoints(1) = 10: fitPoints(2) = 10 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ' Create the solid Dim solidObj As Acad3DSolid Set solidObj = ThisDrawing.ModelSpace.AddExtrudedSolidAlongPath(regionObj(0), splineObj) ZoomAll End Sub
Comments? |